# NodeTreeInputs(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``NodeTreeInputs`(bpy_struct)

  Collection of Node Tree Sockets

  `new`(type, name)

    Add a socket to this node tree

    Parameters: | type (string, (never None)) – Type, Data type name (string, (never None)) – Name
    Returns: | New socket
    Return type: | `NodeSocketInterface`

  `remove`(socket)

    Remove a socket from this node tree

    Parameters: | socket (`NodeSocketInterface`) – The socket to remove

  `clear`()

    Remove all sockets from this node tree

  `move`(from_index, to_index)

    Move a socket to another position

    Parameters: | from_index (int in [0, inf]) – From Index, Index of the socket to move to_index (int in [0, inf]) – To Index, Target index for the socket

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`NodeTree.inputs` |